summaryrefslogtreecommitdiff
path: root/jt.md
diff options
context:
space:
mode:
Diffstat (limited to 'jt.md')
-rw-r--r--jt.md22
1 files changed, 15 insertions, 7 deletions
diff --git a/jt.md b/jt.md
index 3295e0f..2b6fadc 100644
--- a/jt.md
+++ b/jt.md
@@ -55,7 +55,7 @@ then command fails
~~~
-## Create a new draft and publish it
+## Create a new draft, edit it, then publish it
Verify that we can create a new draft entry for the journal.
@@ -67,19 +67,27 @@ and there are no journal entries in jrnl
when I invoke jt new "Abracadabra" --editor=none --dirname=jrnl
then command is successful
-then there is one draft in jrnl
+and there is one draft in jrnl
and draft 0 in jrnl contains "Abracadabra"
-when I edit draft 0 in jrnl to also contain "Behold!"
-and I invoke jt finish --dirname=jrnl
+given an executable script append.sh
+when I invoke jt edit --editor=./append.sh --dirname=jrnl
then command is successful
-then there is one journal entry in jrnl, at FILE
+and draft 0 in jrnl contains "Open sesame!"
+
+when I invoke jt finish --dirname=jrnl
+then command is successful
+and there is one journal entry in jrnl, at FILE
and file <FILE> contains "Abracadabra"
-and file <FILE> contains "Behold!"
+and file <FILE> contains "Open sesame!"
and there are no drafts in jrnl
~~~
-
+~~~{#append.sh .file .numberLines}
+#!/bin/sh
+set -eux
+echo "Open sesame!" >> "$1"
+~~~
---
title: "jt&mdash;a journalling tool"